Skip to main content
POST
Add a Fermentable

Authorizations

X-API-Key
string
header
required

An API key created from a signed-in session. See Authentication.

Path Parameters

recipeId
string<uuid>
required

Recipe to add to

Body

application/json
name
string
required

Fermentable name, e.g. "Maris Otter"

Minimum string length: 1
amount_kg
number
required

Weight in kilograms

Required range: x >= 0
type
enum<string>
default:grain

Fermentable category

Available options:
grain,
sugar,
extract,
dry_extract,
adjunct
color_srm
number | null

Colour in SRM

yield_percent
number | null

Extract yield percentage

sort_order
integer

Display order

Required range: x >= 0

Response

The created Fermentable

id
string<uuid>
read-only

Unique identifier

recipe_id
string<uuid>
read-only

Parent recipe

name
string

Fermentable name

type
enum<string>

Fermentable category

Available options:
grain,
sugar,
extract,
dry_extract,
adjunct
amount_kg
number

Weight in kilograms

color_srm
number | null

Colour in SRM

yield_percent
number | null

Extract yield percentage

sort_order
integer

Display order

created_at
string<date-time>
read-only

ISO 8601 timestamp